.container {
  margin: 0 auto;
  max-width: 1200px;
  width: 100%;
  padding: 10px 20px;
}

.note-ref {
  font-size: 12px;
  color: #ccc;
  margin-bottom: 8px;
}

.controls-row{
  width: 100%;
}

table {
  margin: 16px 0 16px 0;
  width: 100%;
  max-width: 100%;
}

/* Remove native number spinners (Chrome/Edge/Safari) */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Remove native number spinners (Firefox) */
input[type="number"] {
  -moz-appearance: textfield;
}


input[type="text"],
input[type="number"] {
  width: 90px;
  background: #111;
  border: 1px solid #555;
  color: #fff;
  font-size: 12px;
  padding: 2px 2px;

  text-align: center;      
  border-radius: 999px;  
  outline: none;
}
input[type="checkbox"] {
  transform: scale(1.1);
}
.color-box {
  width: 30px;
  height: 14px;
  border-radius: 3px;
  border: 1px solid #666;
  margin: 0 auto;
}
.controls-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  margin-bottom: 10px;
  font-size: 13px;
}

input[type="checkbox"] {
  accent-color: #4a6fa5;
}

canvas {
  display: block;
  margin: 10px auto 20px;
  max-width: 100%;
}

/* Buttons */
.vf-button {
  display: inline-flex;
  align-items: center;
  gap: 6px;
  cursor: pointer;
  padding: 8px 16px;
  background: transparent;
  border: 2px solid #4a6fa5;
  border-radius: 20px;
  color: #e5e7eb;
  font-size: 13px;
  font-weight: 500;
  transition: all 0.2s ease;
}

.vf-button-hidden {
  display: inline-flex;
  visibility: hidden;
  align-items: center;
  gap: 6px;
  cursor: pointer;
  padding: 8px 16px;
  background: transparent;
  border: 2px solid #4a6fa5;
  border-radius: 20px;
  color: #e5e7eb;
  font-size: 13px;
  font-weight: 500;
  transition: all 0.2s ease;
}

.vf-button:hover {
  background: #1a2a3a;
  border-color: #5a7fb5;
}

.vf-logo {
  height: 35px;
  margin-bottom: 8px;
  margin-top: 2px
  display: block;
}

.header {
  display: flex;
  justify-content: space-between;
}
